Bug 25157 - delete_patrons.pl is never quiet, even when run without -v
Summary: delete_patrons.pl is never quiet, even when run without -v
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-15 11:29 UTC by Katrin Fischer
Modified: 2020-05-11 22:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25157: Silent patron deletion cmd line script (1.90 KB, patch)
2020-04-17 10:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25157: Silent patron deletion cmd line script (1.96 KB, patch)
2020-04-18 03:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25157: Silent patron deletion cmd line script (2.05 KB, patch)
2020-05-08 09:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-04-15 11:29:05 UTC
When running delete_patrons.pl in cron, you still get the 'success' messages and problem cases listed, even if you don't run with the -v.

It would be great if there was an option to make this script "quiet" unless a real problem occurs. Not counting users with fines and checkouts that were not deleted as a problem - that's correct behaviour.
Comment 1 Jonathan Druart 2020-04-17 10:27:15 UTC
Created attachment 103140 [details] [review]
Bug 25157: Silent patron deletion cmd line script

Without -v the script will no longer display messages unless the error
is major.
Comment 2 Katrin Fischer 2020-04-18 03:35:37 UTC
Created attachment 103196 [details] [review]
Bug 25157: Silent patron deletion cmd line script

Without -v the script will no longer display messages unless the error
is major.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2020-05-08 09:50:04 UTC
Created attachment 104572 [details] [review]
Bug 25157: Silent patron deletion cmd line script

Without -v the script will no longer display messages unless the error
is major.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2020-05-11 09:01:25 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-11 22:41:15 UTC
Backported to 19.11.x for 19.11.06